Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot.dial
Class StandardDialRange

    java.lang.Object
      org.jfree.chart.plot.dial.AbstractDialLayer
          org.jfree.chart.plot.dial.StandardDialRange

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DialLayer, org.jfree.util.PublicCloneable

    public class StandardDialRange

extends AbstractDialLayer
implements DialLayer, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A layer that draws a range highlight on a dial plot.

Since:
  1.0.7
See Also:
  Serialized Form

Constructor Summary
`StandardDialRange()` Creates a new instance of `StandardDialRange`.
`StandardDialRange(double lower, double upper, java.awt.Paint paint)` Creates a new instance of `StandardDialRange`.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this instance.
`void` | `draw(java.awt.Graphics2D g2, DialPlot plot, java.awt.geom.Rectangle2D frame, java.awt.geom.Rectangle2D view)` Draws the range.
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`double` | `getInnerRadius()` Returns the inner radius.
`double` | `getLowerBound()` Returns the lower bound (a data value) of the dial range.
`double` | `getOuterRadius()` Returns the outer radius.
`java.awt.Paint` | `getPaint()` Returns the paint used to highlight the range.
`int` | `getScaleIndex()` Returns the scale index.
`double` | `getUpperBound()` Returns the upper bound of the dial range.
`int` | `hashCode()` Returns a hash code for this instance.
`boolean` | `isClippedToWindow()` Returns `true` to indicate that this layer should be clipped within the dial window.
`void` | `setBounds(double lower, double upper)` Sets the bounds for the range and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setInnerRadius(double radius)` Sets the inner radius and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setLowerBound(double bound)` Sets the lower bound of the dial range and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setOuterRadius(double radius)` Sets the outer radius and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setPaint(java.awt.Paint paint)` Sets the paint used to highlight the range and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setScaleIndex(int index)` Sets the scale index and sends a `DialLayerChangeEvent` to all registered listeners.
`void` | `setUpperBound(double bound)` Sets the upper bound of the dial range and sends a `DialLayerChangeEvent` to all registered listeners.

Methods inherited from class org.jfree.chart.plot.dial.AbstractDialLayer
`addChangeListener, hasListener, isVisible, notifyListeners, removeChangeListener, setVisible`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.plot.dial.DialLayer
`addChangeListener, hasListener, isVisible, removeChangeListener`

Constructor Detail

### StandardDialRange

    public StandardDialRange()

  Creates a new instance of `StandardDialRange`.

### StandardDialRange

    public StandardDialRange(double lower,
                             double upper,
                             java.awt.Paint paint)

  Creates a new instance of `StandardDialRange`.

  Parameters:
    `lower` - the lower bound.
    `upper` - the upper bound.
    `paint` - the paint (`null` not permitted).

Method Detail

### getScaleIndex

    public int getScaleIndex()

  Returns the scale index.

  Returns:
    The scale index.
  See Also:
    `setScaleIndex(int)`

### setScaleIndex

    public void setScaleIndex(int index)

  Sets the scale index and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `index` - the scale index.
  See Also:
    `getScaleIndex()`

### getLowerBound

    public double getLowerBound()

  Returns the lower bound (a data value) of the dial range.

  Returns:
    The lower bound of the dial range.
  See Also:
    `setLowerBound(double)`

### setLowerBound

    public void setLowerBound(double bound)

  Sets the lower bound of the dial range and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `bound` - the lower bound.
  See Also:
    `getLowerBound()`

### getUpperBound

    public double getUpperBound()

  Returns the upper bound of the dial range.

  Returns:
    The upper bound.
  See Also:
    `setUpperBound(double)`

### setUpperBound

    public void setUpperBound(double bound)

  Sets the upper bound of the dial range and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `bound` - the upper bound.
  See Also:
    `getUpperBound()`

### setBounds

    public void setBounds(double lower,
                          double upper)

  Sets the bounds for the range and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `lower` - the lower bound.
    `upper` - the upper bound.

### getPaint

    public java.awt.Paint getPaint()

  Returns the paint used to highlight the range.

  Returns:
    The paint (never `null`).
  See Also:
    `setPaint(Paint)`

### setPaint

    public void setPaint(java.awt.Paint paint)

  Sets the paint used to highlight the range and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  See Also:
    `getPaint()`

### getInnerRadius

    public double getInnerRadius()

  Returns the inner radius.

  Returns:
    The inner radius.
  See Also:
    `setInnerRadius(double)`

### setInnerRadius

    public void setInnerRadius(double radius)

  Sets the inner radius and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `radius` - the radius.
  See Also:
    `getInnerRadius()`

### getOuterRadius

    public double getOuterRadius()

  Returns the outer radius.

  Returns:
    The outer radius.
  See Also:
    `setOuterRadius(double)`

### setOuterRadius

    public void setOuterRadius(double radius)

  Sets the outer radius and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `radius` - the radius.
  See Also:
    `getOuterRadius()`

### isClippedToWindow

    public boolean isClippedToWindow()

  Returns `true` to indicate that this layer should be clipped within the dial window.

  Specified by:
    `isClippedToWindow` in interface `DialLayer`
  Returns:
    `true`.

### draw

    public void draw(java.awt.Graphics2D g2,
                     DialPlot plot,
                     java.awt.geom.Rectangle2D frame,
                     java.awt.geom.Rectangle2D view)

  Draws the range.

  Specified by:
    `draw` in interface `DialLayer`
  Parameters:
    `g2` - the graphics target.
    `plot` - the plot.
    `frame` - the dial's reference frame (in Java2D space).
    `view` - the dial's view rectangle (in Java2D space).

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `AbstractDialLayer`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `AbstractDialLayer`
  Returns:
    The hash code.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this instance.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `AbstractDialLayer`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if any of the attributes of this instance cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.